/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY 
WARRANTY; without even the implied warranty of MERCHANTABILITY or 
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License 
for more details. 

You should have received a copy of the GNU General Public License along with this 
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
ldse@hendriklipka.de
*/

package de.hendriklipka.ldse.client.servlet;

import com.mortbay.HTML.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class LDSEIndex extends HttpServlet
{
    public void doGet(HttpServletRequest request, HttpServletResponse response)
         throws java.io.IOException
    {
        Page page = new Page("LDSE - Local Domain Search Engine");

        page.add(new Heading(1,"Local Domain Search Engine"));
        
        List list=new List(List.Unordered);
        list.add("Host = "+request.getRemoteHost());
        list.add("Date = "+new java.util.Date());

        TableForm form = new TableForm("/Search");
        form.method("GET");
        form.addTextField("Search Terms","Search Terms",50,"");
        form.newColumns();
        form.addCheckbox("Extended","Extended",false);
        form.addButtonArea("Button");
        form.addButton("Button","Search");
        
        page.add(list);
        page.add(form);
        
        page.write(response.getOutputStream());
    }
}
